



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Logstash安装及部署</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Logstash安装及部署</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-18 18:03:19 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h1>安装及部署</h1>
<h2>一、环境配置</h2>
<ul><li><p>操作系统：Cent <abbr>OS</abbr> 7</p></li>
<li><p>Logstash版本：2.1.1.tar.gz</p></li>
<li><p>JDK版本：1.7.0_51</p></li>
<li><p>SSH Secure Shell版本：XShell 5</p></li></ul>
<h2>二、操作过程</h2>
<h4>1、下载指定版本的logstash并解压</h4>
<pre class="prettyprint linenums">下载：curl -O https://download.elasticsearch.org/logstash/logstash/logstash-2.1.1.tar.gz<br />
解压：tar zxvf logstash-2.1.1.tar.gz</pre>
<h4>2、运行测试</h4>
<p>在终端中，像下面这样运行命令来启动 Logstash 进程：</p>
<pre class="prettyprint linenums">进入logstash的bin目录 cd logstash-2.1.1/bin<br />
执行命令 ./logstash -e 'input{stdin{}}output{stdout{codec=&gt;rubydebug}}'</pre>
<p>然后你会发现终端在等待你的输入。没问题，敲入 Hello World，回车，然后看看会返回什么结果！</p>
<pre class="prettyprint linenums">./logstash -e 'input{stdin{}}output{stdout{codec=&gt;rubydebug}}'<br />
hello world<br />
{<br />
       "message" =&gt; "hello world",<br />
       "@version" =&gt; "1",<br />
       "@timestamp" =&gt; "2015-11-30T09:07:18.529Z",<br />
       "host" =&gt; "atman081.atmandomain"<br />
}
</pre>
<p>没错！你搞定了！这就是全部你要做的。</p>
<h4>3、简单场景-监控日志文件并以消息形式输出至Kafka</h4>
<ul><li><p>定义一个stdout_kafka.conf文件，配置内容为</p></li></ul>
<div>
<pre class="prettyprint linenums">input<br />
{<br />
   file {<br />
       path =&gt; ["/var/log/diagonAlley/diagonAlley.log"]<br />
       type =&gt; "log4j"<br />
       start_position =&gt; "beginning"<br />
   }<br />
}<br />
output<br />
{<br />
    kafka {<br />
        bootstrap_servers =&gt; "192.168.1.181:9092,192.168.1.181:9093,192.168.1.181:9094"<br />
        topic_id =&gt; "logstash"<br />
        compression_type =&gt; "gzip"<br />
    }<br />
}</pre>
</div>
<ul><li><p>将stdout_kafka.conf文件放至bin目录</p></li>
<li><p>运行如下命令，并查看控制台输出</p></li></ul>
<pre class="prettyprint linenums">./logstash -f stdout_kafka.conf &amp;</pre>
<h4>4、简单场景-监控Kafka消息并输出值Elasticsearch</h4>
<ul><li><p>定义一个stdout_elasticsearch.conf文件，配置内容为</p></li></ul>
<div>
<pre class="prettyprint linenums">input<br />
{<br />
    kafka {<br />
        zk_connect =&gt; "192.168.1.181:2181"<br />
        topic_id =&gt; "logstash"<br />
    }<br />
}<br />
output {<br />
   elasticsearch {<br />
        hosts =&gt; ["192.168.1.181:9100"]<br />
        index =&gt; "logstash-%{type}-%{+YYYY.MM.dd}"<br />
        workers =&gt;<br />
    }<br />
}</pre>
</div>
<ul><li><p>将stdout_elasticsearch.conf文件放至bin目录</p></li>
<li><p>运行如下命令，并查看控制台输出</p></li></ul>
<pre class="prettyprint linenums">./logstash -f stdout_elasticsearch.conf &amp;</pre>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/1q2v0gl8.html">Fiddler&plus;Jmeter&plus;断言详细教程</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq16w5z8.html">json体会</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1yw7k9.html">&period;a包生成64位</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e10gjm9.html">asp开发微信扫码支付</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7mny7xq.html">直播开始：&amp;&num;39&semi;云榨汁机&amp;&num;39&semi;诞生记--聊聊JavaScript中的&amp;&num;39&semi;业务建模&amp;&num;39&semi;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7mwl5gq.html">桶排序之python实现源码</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1v1lz9.html">SQLServer备忘</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vze2m8.html">Why Does Qt Use Moc for Signals and Slots（QT官方的解释：GUI可以是动态的）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zgvw59.html">RelativeLayout的一些感想</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdpwywjq.html">c语言，string库函数itoa实现：将int转换为char&ast;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7z7mg19.html">java的静态方法的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ey51gj9.html">Android启动脚本init&period;rc&lpar;2&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zn4jx9.html">&lbrack;原创&rsqb; IAR7&period;10安装注册教程</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdw3g4x9.html">2017CCPC秦皇岛 C题Crusaders Quest&amp;amp&semi;&amp;amp&semi;ZOJ3983【模拟&plus;STL】</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7ordxj8.html">POJ 1287 Networking（最小生成树裸题有重边）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7okmy18.html">GTP&plus;SDI工程播出部分思路整理</a>
		</li>
						<li><a href="https://www.batexi.com/a/9021344q.html">创建spring boot项目</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mj5m2r8.html">注册一个GitHub用户的过程</a>
		</li>
						<li><a href="https://www.batexi.com/a/qndm52k8.html">Pyspark访问Hbase</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kmpng59.html">CentOS搭建VSFTP服务器</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/jqd45dxq.html">CEF使用的几个注意点</a>
			</li>
						<li><a href="https://www.batexi.com/a/wq165608.html">jquery ui学习笔记</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8kgnk39.html">【必备】史上最全的浏览器 CSS &amp;amp&semi; JS Hack 手册&lpar;转&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/r932dkwq.html">Js获取下拉框当前选择项的文本和值</a>
			</li>
						<li><a href="https://www.batexi.com/a/39rr0yd9.html">Octopus系列之数据上传格式要求说明</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9j421e9.html">JSON&period;parse&lpar;&rpar;和JSON&period;stringify&lpar;&rpar;的区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/49gvgd79.html">IT公司100题-tencent-打印所有高度为2的路径</a>
			</li>
						<li><a href="https://www.batexi.com/a/r9323enq.html">tomcat简单文服</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8kgr269.html">sqoop将关系型数据库的表导入hive中</a>
			</li>
						<li><a href="https://www.batexi.com/a/0qwm4yk8.html">js中的Bom对象模型</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
